<div class="container">
    <div class="row justify-content-center">
      <div class="col-md-8">
          <div class="card text-center">
            <div class="card-header">
              Bienvenue sur mon carnet d'entrainement !
            </div>
            <div class="card-body">
              <h4 class="card-title">Je crée mon nouveau compte !</h4>
              <form (ngSubmit)="onSignup()" #f="ngForm">
                <div class="form-group text-left">
                  <label for="email">Adresse Mail</label>
                  <input type="email" class="form-control" name="email" placeholder="Exemple : jean@dupont.com" ngModel email required #email="ngModel">
                  <small *ngIf="!email.valid && email.touched" class="form-text">Veuillez entrer un email valide</small>
                </div>
                <div class="form-group text-left">
                  <label for="password">Mot de passe</label>
                  <input type="password" class="form-control" name="password" placeholder="Mot de passe" ngModel required #password="ngModel">
                  <small *ngIf="!password.valid && password.touched" class="form-text">Veuillez entrer un mot de passe</small>
                </div>
                <button type="submit" class="btn btn-primary" [disabled]="!f.valid">Créer mon compte</button>
              </form>
            </div>
          </div>
        </div>
      </div>
  </div>